# -*- coding: utf-8 -*-
#######################################################################################
#   Photo is a part of Plinn - http://plinn.org                                       #
#   Copyright (C) 2004-2008  Benot PIN <benoit.pin@ensmp.fr>                         #
#                                                                                     #
#   This program is free software; you can redistribute it and/or                     #
#   modify it under the terms of the GNU General Public License                       #
#   as published by the Free Software Foundation; either version 2                    #
#   of the License, or (at your option) any later version.                            #
#                                                                                     #
#   This program is distributed in the hope that it will be useful,                   #
#   but WITHOUT ANY WARRANTY; without even the implied warranty of                    #
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                     #
#   GNU General Public License for more details.                                      #
#                                                                                     #
#   You should have received a copy of the GNU General Public License                 #
#   along with this program; if not, write to the Free Software                       #
#   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.   #
#######################################################################################
""" Product for photos manipulation.
	main features:
	- keep origninal uploaded data
	- automatic convertion to jpeg (if needed) from supported PIL image's formats
	- resizing support
	- metadata extraction
	
	experimental features:
	- full psd support with Adobe photoshop (windows only, drived by pythoncom)
	- tile support (to display a grid of tiles with a javascript web interface)



"""

from AccessControl.Permissions import add_documents_images_and_files
import xmp_jpeg

from Photo import Photo, addPhotoForm, addPhoto
import blobbases

def initialize(registrar) :
	registrar.registerClass(
		Photo,
		constructors = (addPhotoForm, addPhoto),
		icon = 'dtml/photo_icon.gif'
		)
	
	registrar.registerClass(
		blobbases.File,
		permission = add_documents_images_and_files,
		constructors = (('blobFileAdd', blobbases.manage_addFileForm), blobbases.manage_addFile),
		icon='dtml/File_icon.gif'
		)

	registrar.registerClass(
		blobbases.Image,
		permission = add_documents_images_and_files,
		constructors = (('blobImageAdd', blobbases.manage_addImageForm), blobbases.manage_addImage),
		icon='dtml/Image_icon.gif'
		)
